> ## Documentation Index
> Fetch the complete documentation index at: https://docs.postable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update group



## OpenAPI

````yaml /openapi.yaml put /groups/{groupId}
openapi: 3.1.0
info:
  title: Postable API
  version: 1.0.0
  description: API for managing contacts and groups in Postable
servers:
  - url: https://www.postable.com/api/v1
    description: API base URL
security: []
paths:
  /groups/{groupId}:
    parameters:
      - name: groupId
        in: path
        required: true
        schema:
          type: integer
          format: int64
    put:
      summary: Update group
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Group'
      responses:
        '200':
          description: Group updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
      security:
        - sanctum: []
components:
  schemas:
    Group:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
        description:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - name
  securitySchemes:
    sanctum:
      type: http
      scheme: bearer
      bearerFormat: JWT

````